https://hogyanok.com Linux Debian µTorrent telepítés VPS-re, Linuxra, OMV-re

µTorrent telepítés VPS-re, Linuxra, OMV-re

3102
4
Megosztás

Ezzel a leírással megmutatom hogyan lehet használni utorrent kliens linux-on. Az utorrent a szerveren úgy fut, mint egy webes alkalmazás, tehát a saját gépünkről is kényelmesen el tudjuk érni, semmilyen külön program nem szükséges hozzá.

Töltsük le a legfrissebb uTorrent Linux kiadását innen: http://www.utorrent.com/downloads/linux
vagy

wget http://download-new.utorrent.com/endpoint/utserver/os/linux-i386-debian-6-0/track/beta/utorrent-server-3.3-debian-6.0-i386-30235.tar.gz/

Most csomagoljuk ki:

tar -xvzf utorrent-server-3.3-debian-6.0-i386-30235.tar.gz -C /opt

Hozzunk létre egy külön felhasználót a részére:

useradd utorrent -g users -m

Készítsük el a szükséges mappákat. Én három mappát szoktam létrehozni
1. Ahol tárolom a torrent fájlokat. torrent
2. Ahova másolom a letöltendő torrent fájlokat: watch
3. Ahova maga a letöltések kerülnek: download

mkdir /home/utorrent/{watch,torrent,download}

Állítsuk át az /opt/ valamint /home/ mappában a uTorrent mappáinak jogosultságát és másoljuk át a webui.zip-et a homeba:

cp /opt/utorrent-server-alpha-v3_3/webui.zip /home/utorrent/
chown utorrent:users /opt/utorrent-server* /home/utorrent/ -R

Próbáljuk is ki azonnal:

cd /home/utorrent/; su -s /bin/bash -c /opt/utorrent-server-alpha-v3_3/utserver

Lépjünk is be a webes felületbe a http://szerverip:8080/gui/ címen. A felhasználónév “admin”, a jelszót hagyjuk üresen.
Most tudjuk beállítani az uTorrent szervert. Kattintsuk a kis fogaskerék ikonra.

utorrent_01

A Web UI fülön be tudjuk állítani, hogy milyen felhasználói névvel és jelszóval lépjünk be a web-es felületre. Itt tudjuk megadni a portot is. (Ezt célszerű megváltoztatni).
utorrent_02

Directories pontban adhatjuk meg azokat a mappákat melyeket korábban létrehoztunk:
1. Put new downloads in: ide tölti le letölteni valót
2. Move completed downloads to: Ezt nem kötelező megadni. Ezzel át tudjuk helyezni letöltés után egy tetszőleges mappába a letöltött fájlokat
3. Store .torrents in: Itt adhatjuk meg a letöltött torrent fájlok tárolási helyét. Később az összes .torrent fájl itt megtalálható lesz.
4. Automatically load . torrents from: itt megadhatjuk azt, hogy hol figyelje a szerver, hogy került-e be új .torrent fájl és ha került akkor azt automatikusan elkezdi letölteni.
utorrent_03

Connecting pontban adhatjuk meg azt a portot amin keresztül letöltünk. Így ezt kell engedélyeznünk a routerben is.
utorrent_04

Queueing-ben tudjuk beállítani az egyidejűleg le és feltölthető torrentek számát.
utorrent_05

A Transfer Cap fülön beállíthatjuk a havi adatforgalmi korlátot, ha például ahol szervert bérelünk és van ilyen korlát. Amennyiben egy hónapban csak pl. 800GB adatforgalmunk lehet, akkor állítsuk be, hogy 750 GB hogy biztosan ne lépjük túl. Ezen lehet bármikor módosítani.
utorrent_06

A Linux konzolon közbe a CTRL+C billentyű kombinációval zárjuk be a futó szervert és készítsük el az indító fájlunkat:

mcedit /etc/init.d/utserver

Másoljuk bele a következő tartalmat:

#! /bin/sh
### BEGIN INIT INFO
# Provides:          scriptname
# Required-Start:    $remote_fs
# Required-Stop:     $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start daemon at boot time
# Description:       Enable service provided by daemon.
### END INIT INFO
 
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="uTorrent Server"
NAME=utserver
RUNUSER=utorrent
DAEMON=/opt/utorrent-server-v3_0/$NAME
PIDFILE=/home/utorrent/$NAME.pid
DAEMON_ARGS="-settingspath /home/utorrent/ -pidfile $PIDFILE -daemon"
SCRIPTNAME=/etc/init.d/$NAME
 
[ -x "$DAEMON" ] || exit 0
 
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
 
. /lib/init/vars.sh
 
. /lib/lsb/init-functions
 
do_start()
{
    start-stop-daemon --start --chuid $RUNUSER -b --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
        || return 1
    start-stop-daemon --start --chuid $RUNUSER -b --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS \
        || return 2
}
 
do_stop()
{
    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
    RETVAL="$?"
    [ "$RETVAL" = 2 ] && return 2
    start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
    [ "$?" = 2 ] && return 2
    rm -f $PIDFILE
    return "$RETVAL"
}
 
case "$1" in
  start)
    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
    do_start
    case "$?" in
        0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
        2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
  stop)
    [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
    do_stop
    case "$?" in
        0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
        2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    esac
    ;;
  restart)
 
    log_daemon_msg "Restarting $DESC" "$NAME"
    do_stop
    case "$?" in
      0|1)
        do_start
        case "$?" in
            0) log_end_msg 0 ;;
            1) log_end_msg 1 ;;
            *) log_end_msg 1 ;;
        esac
        ;;
      *)
          # Failed to stop
        log_end_msg 1
        ;;
    esac
    ;;
  *)
    echo "Usage: $SCRIPTNAME {start|stop|restart}" >&2
    exit 3
    ;;
esac
 
:

Tegyük futtathatóvá, majd állítsuk be, hogy minden bekapcsolásnál azonnal elinduljon:

chmod +x /etc/init.d/utserver
update-rc.d utserver defaults

Most már ha legközelebb elindul a gép akkor automatikusan indul az uTorrent is. Most indítsuk el kézzel:

/etc/init.d/utserver

Most már csak hozzá kell csatolni az asztali gépünkhöz a Watch mappát és másolhatjuk bele a .torrent fájlokat.
Kellemes töltögetést.